/* @(#) $Id: common.h 9 2008-10-25 01:56:33Z leres $ (LBL) */

#define DEFAULTADDR	"127.0.0.1"
#define DEFAULTPORT	"47757"
#define EVENTSTR	"example"

#define EV_CMD		"cmd"
#define EV_ARGS		"args"
#define EV_SUCCESS	"success"
#define EV_COOKIE	"cookie"
#define EV_TIMESTAMP	"timestamp"
#define EV_COMMENT	"comment"
#define EV_PAYLOAD	"payload"
#define EV_SEC		"sec"
#define EV_USEC		"usec"

#define MAX(x, y) ((x) > (y) ? (x) : (y))

extern const char version[];
extern const char *prog;

int extractlong(BroRecord *, const char *, long *);
int extractstr(BroRecord *, const char *, char *, size_t);
int extractuint32(BroRecord *, const char *, uint32 *);
void *new(size_t, size_t, const char *);
